﻿@model IEnumerable<Teste1.LIST>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Listas de Discussão</h2>

<p>
    @Html.ActionLink("Criar Nova Lista", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.ListName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AccountName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ListAddress)
        </th>
      
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.ListName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AccountName)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.ListAddress)
        </td>
        
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID }) |
            @Html.ActionLink("List Members", "GetMembersList","ListMember", new {@list = item.ListName},null)
        </td>
    </tr>
}

</table>
